# Uses of Class
org.springframework.web.context.request.async.WebAsyncTask

Packages that use WebAsyncTask
Package
Description
org.springframework.web.context.request.async
Support for asynchronous request processing.

## Uses of WebAsyncTask in org.springframework.web.context.request.async

Methods in org.springframework.web.context.request.async with parameters of type WebAsyncTask
Modifier and Type
Method
Description
`void`
WebAsyncManager.`startCallableProcessing(WebAsyncTask<?> webAsyncTask, Object... processingContext)`
Use the given `WebAsyncTask` to configure the task executor as well as the timeout value of the `AsyncWebRequest` before delegating to `WebAsyncManager.startCallableProcessing(Callable, Object...)`.